Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.webserver
Class XmlRpcServletServer.ServletStreamConnection

    java.lang.Object
      org.apache.xmlrpc.webserver.XmlRpcServletServer.ServletStreamConnection

All Implemented Interfaces:
  ServerStreamConnection

Enclosing class:
  XmlRpcServletServer

    protected static class XmlRpcServletServer.ServletStreamConnection

extends java.lang.Object
implements ServerStreamConnection

Constructor Summary
`protected` | `XmlRpcServletServer.ServletStreamConnection(HttpServletRequest pRequest, HttpServletResponse pResponse)`

Method Summary
`void` | `close()` Closes the connection, and frees resources.
`HttpServletRequest` | `getRequest()` Returns the servlet request.
`HttpServletResponse` | `getResponse()` Returns the servlet response.
`java.io.InputStream` | `newInputStream()` Returns the connections input stream.
`java.io.OutputStream` | `newOutputStream()` Returns the connections output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcServletServer.ServletStreamConnection

    protected XmlRpcServletServer.ServletStreamConnection(HttpServletRequest pRequest,
                                                          HttpServletResponse pResponse)

Method Detail

### getRequest

    public HttpServletRequest getRequest()

  Returns the servlet request.

### getResponse

    public HttpServletResponse getResponse()

  Returns the servlet response.

### newInputStream

    public java.io.InputStream newInputStream()
                                       throws java.io.IOException

  Description copied from interface: `ServerStreamConnection`
  Returns the connections input stream.

  Specified by:
    `newInputStream` in interface `ServerStreamConnection`
  Throws:
    `java.io.IOException`

### newOutputStream

    public java.io.OutputStream newOutputStream()
                                         throws java.io.IOException

  Description copied from interface: `ServerStreamConnection`
  Returns the connections output stream.

  Specified by:
    `newOutputStream` in interface `ServerStreamConnection`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `ServerStreamConnection`
  Closes the connection, and frees resources.

  Specified by:
    `close` in interface `ServerStreamConnection`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.